// Code generated by ent, DO NOT EDIT.

package predicate

import (
	"entgo.io/ent/dialect/sql"
)

// Item is the predicate function for item builders.
type Item func(*sql.Selector)

// ItemMeta is the predicate function for itemmeta builders.
type ItemMeta func(*sql.Selector)

// Location is the predicate function for location builders.
type Location func(*sql.Selector)

// User is the predicate function for user builders.
type User func(*sql.Selector)
